<template>
  <v-sheet rounded class="mb-4"
    ><v-slide-group>
      <v-slide-group-item
        v-for="(link, index) in links"
        :key="index"
        v-slot="{ isSelected, toggle }"
      >
        <v-btn
          :prepend-icon="`mdi-${link.icon}`"
          elevation="0"
          class="ma-2"
          :color="isSelected ? 'primary' : undefined"
          @click="toggle"
        >
          {{ link.title }}
        </v-btn>
      </v-slide-group-item>
    </v-slide-group>
  </v-sheet>
</template>

<script setup>
import { ref } from 'vue'

const links = ref([
  { title: 'Добро пожаловать', icon: 'information-outline' },
  { title: 'Популярные вопросы', icon: 'forum-outline' },
  { title: 'Правила', icon: 'text-box-outline' },
  { title: 'Пользователькное соглашение', icon: 'file-sign' },
  { title: 'Поддержка', icon: 'message-reply-text-outline ' }
])
</script>
<style scoped></style>
